CHOWN(1)

NOM
chown - Modifier le propriétaire et le groupe d'un fichier

SYNOPSIS
chown [OPTION]... [PROPRIÉTAIRE][:[GROUPE]] FICHIER...
chown [OPTION]... --reference=FICHIER-R FICHIER...

DESCRIPTION
Cette page de manuel documente la version GNU du programme chown. Le programme chown modifie l'utilisateur et/ou le groupe propriétaire de chacun des fichiers indiqués. Si seul un propriétaire (un nom d'utilisateur ou un identifiant numérique) est spécifié, celui-ci devient le propriétaire des fichiers donnés, mais le groupe de ces fichiers n’est pas modifié. Si le nom d'utilisateur est suivi d'un deux-points et d'un nom de groupe (ou d'un identifiant numérique de groupe), sans espaces entre ces différentes valeurs, les fichiers changent également de groupe. Si le nom d'utilisateur est suivi d'un deux-points, sans nom de groupe, les fichiers appartiendront à cet utilisateur et leur groupe deviendra le groupe initial de l'utilisateur. Si un nom de groupe précédé d'un deux-points est spécifié, mais sans préciser de nom d'utilisateur, seule l'appartenance au groupe est modifiée. Dans ce cas, chown a les mêmes effets que chgrp. Si seul un deux-points est spécifié, ou si rien n'est spécifié, ni le propriétaire ni le groupe ne seront modifiés.

OPTIONS

Changer le propriétaire ou le groupe de chaque FICHIER en PROPRIÉTAIRE ou GROUPE. Avec l'option --reference, modifier le propriétaire et le groupe de chaque fichier en celui du FICHIER-R.

-c, --changes
    utiliser le mode bavard en ne signalant que les modifications

-f, --silent, --quiet
    supprimer la plupart des messages d'erreur

-v, --verbose
    afficher un diagnostic pour chaque fichier traité

--dereference
    affecter la cible de chaque lien symbolique (comportement par défaut) plutôt que le lien symbolique lui-même

-h, --no-dereference
    modifier les liens symboliques au lieu des fichiers référencés (utile seulement sur les systèmes permettant de changer le propriétaire d'un lien symbolique)

--from=\,PROPRIÉTAIRE_ACTUEL\/:GROUPE_ACTUEL
    changer le propriétaire et/ou le groupe de chaque fichier seulement s'il y a concordance avec le propriétaire et/ou le groupe courant spécifié. Les deux peuvent être omis, auquel cas la concordance n'est pas requise pour le paramètre non spécifié

--no-preserve-root
    ne pas traiter « / » de manière spéciale (par défaut)

--preserve-root
    ne pas opérer récursivement sur « / »

--reference=FICHIER-R
    utiliser le propriétaire et le groupe du FICHIER-R au lieu de valeurs explicites PROPRIÉTAIRE:GROUPE

-R, --recursive
    modifier récursivement fichiers et répertoires

Les options suivantes modifient la façon dont est parcourue la hiérarchie lorsque l'option -R est également spécifiée. Si plus d'une option est spécifiée, seule la dernière est prise en compte.

-H  si un paramètre de la ligne de commande est un lien symbolique vers un répertoire, le parcourir

-L  parcourir chaque lien symbolique rencontré menant à un répertoire

-P  ne parcourir aucun lien symbolique (par défaut)

--help
    afficher l'aide-mémoire et quitter

--version
    afficher le nom et la version du logiciel et quitter

Le propriétaire n'est pas modifié s'il n'est pas spécifié. Le groupe reste inchangé s'il n'est pas spécifié, sauf si cela est implicitement demandé avec un « : » suivant un PROPRIÉTAIRE symbolique, auquel cas il sera modifié au nom du groupe de connexion. Le PROPRIÉTAIRE et le GROUPE peuvent être numériques ou symboliques.

EXEMPLES

chown root /u
    change le propriétaire de /u en « root ».

chown root:staff /u
    même chose en changeant également le groupe en « staff ».

chown -hR root /u
    change le propriétaire de /u et ses sous-fichiers en « root ».

AUTEUR
Écrit par David MacKenzie et Jim Meyering.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
chown(2)

Documentation complète : <https://www.gnu.org/software/coreutils/chown>
aussi disponible localement à l’aide de la commande : info '(coreutils) chown invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Nicolas Haller <nicolas@boiteameuh.org>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.